Bug 543337 - Review Request: rubygem-rcov - Code coverage analysis tool for Ruby
Review Request: rubygem-rcov - Code coverage analysis tool for Ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 02:19 EST by Matthew Kent
Modified: 2010-09-10 14:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.6-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-07 09:39:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthew Kent 2009-12-02 02:19:00 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-rcov.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-rcov-0.9.6-1.fc13.src.rpm
Description: rcov is a code coverage tool for Ruby. It is commonly used for viewing overall test unit coverage of target code.  It features fast execution (20-300 times faster than previous tools), multiple analysis modes, XHTML and several kinds of text reports, easy automation with Rake via a RcovTask, fairly accurate coverage information through code linkage inference using simple heuristics, colorblind-friendliness...

Background:
This package has a bit of a history due to to the project being active -> idle -> forked -> forked to it's current state where the 'rcov' gem is maintained by Relevance. rubyforge/gemcutter considers them the definitive source for it, so I think it's safe to package.

There was a previous review for rcov here https://bugzilla.redhat.com/show_bug.cgi?id=466331 but this version is far newer and well maintained.

mkent@fedora-devel-chef:~/rpmbuild/SPECS$ rpmlint rubygem-rcov.spec /var/tmp/results/rubygem-rcov-*
rubygem-rcov.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rcov-0.9.6/ext/rcovrt/1.8/rcovrt.c
rubygem-rcov.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rcov-0.9.6/ext/rcovrt/1.8/callsite.c
rubygem-rcov.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rcov-0.9.6/ext/rcovrt/1.9/callsite.c
rubygem-rcov.x86_64: W: devel-file-in-non-devel-package /usr/lib/ruby/gems/1.8/gems/rcov-0.9.6/ext/rcovrt/1.9/rcovrt.c
rubygem-rcov-doc.x86_64: W: no-documentation
rubygem-rcov-doc.x86_64: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/rcov-0.9.6/ri/Rcov/RcovTask/test_files%3d-i.yaml %3d
rubygem-rcov-doc.x86_64: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/rcov-0.9.6/ri/CoverageInfo/%5b%5d-i.yaml %5b
rubygem-rcov-doc.x86_64: W: misspelled-macro /usr/lib/ruby/gems/1.8/doc/rcov-0.9.6/ri/Rcov/FileStatistics/is_code%3f-i.yaml %3f
4 packages and 1 specfiles checked; 0 errors, 8 warnings.
Comment 1 Mamoru TASAKA 2009-12-02 11:17:48 EST
Some notes:

? Requires
  - Would you explain the necessity of "R: rubygem(rake)"?
    ( Maybe for lib/rcov/rcovtask.rb ? If so, I wonder if this
      script is used by default or not because no other scripts
      in rcov gem seems to require this script )

  ! Note that I am not objecting to adding "R: rubygem(rake)".

* ext/
  - Files under ext/ are to generate C extension module
    (rcovrt.so) and should not be needed to be included into
    binary rpm.

    ( The trouble is that once we try to execute "rake check"
      under %geminstdir, rake task tries to regenerate .so file.

      In such cases files under ext/ are needed, however anyway
      this won't work but for root because write permission for
      %geminstdir is needed.
      So while you may want to add files under ext to -doc
      subpackage, these files should not be in main package. )
Comment 2 Matthew Kent 2009-12-04 00:48:02 EST
Thank you for the review

(In reply to comment #1)
> Some notes:
> 
> ? Requires
>   - Would you explain the necessity of "R: rubygem(rake)"?
>     ( Maybe for lib/rcov/rcovtask.rb ? If so, I wonder if this
>       script is used by default or not because no other scripts
>       in rcov gem seems to require this script )
> 
>   ! Note that I am not objecting to adding "R: rubygem(rake)".
> 

That's correct, I added that in an attempt to cover what I thought was a missing dependency. Upon a further examination lib/rcov/rcovtask.rb provides tasks *to* rake rather than depending *on* rake. I'll remove that.

> * ext/
>   - Files under ext/ are to generate C extension module
>     (rcovrt.so) and should not be needed to be included into
>     binary rpm.
> 
>     ( The trouble is that once we try to execute "rake check"
>       under %geminstdir, rake task tries to regenerate .so file.
> 
>       In such cases files under ext/ are needed, however anyway
>       this won't work but for root because write permission for
>       %geminstdir is needed.
>       So while you may want to add files under ext to -doc
>       subpackage, these files should not be in main package. )  

Good catch, thanks.
Comment 3 Matthew Kent 2009-12-04 00:56:20 EST
Spec URL: http://magoazul.com/wip/SPECS/rubygem-rcov.spec
SRPM URL: http://magoazul.com/wip/SRPMS/rubygem-rcov-0.9.6-2.fc13.src.rpm

* Thu Dec 03 2009 Matthew Kent <mkent@magoazul.com> - 0.9.6-2
- Remove Requires for rubygem(rake) (#543337).
- Move ext to -doc (#543337).
Comment 4 Mamoru TASAKA 2009-12-04 11:10:09 EST
Okay.

------------------------------------------------------------
    This package (rubygem-rcov) is APPROVED by mtasaka
------------------------------------------------------------
Comment 5 Matthew Kent 2009-12-04 12:08:24 EST
New Package CVS Request
=======================
Package Name: rubygem-rcov
Short Description: Code coverage analysis tool for Ruby
Owners: mkent
Branches: F-11 F-12
InitialCC:
Comment 6 Kevin Fenzi 2009-12-06 18:25:18 EST
cvs done.
Comment 7 Fedora Update System 2009-12-07 00:52:57 EST
rubygem-rcov-0.9.6-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-rcov-0.9.6-2.fc11
Comment 8 Fedora Update System 2009-12-07 00:53:55 EST
rubygem-rcov-0.9.6-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-rcov-0.9.6-2.fc12
Comment 9 Mamoru TASAKA 2009-12-07 09:39:39 EST
Closing.
Comment 10 Fedora Update System 2009-12-08 02:45:03 EST
rubygem-rcov-0.9.6-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-08 02:46:15 EST
rubygem-rcov-0.9.6-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Michael Stahnke 2010-09-10 14:34:46 EDT
Package Change Request
======================
Package Name: rubygem-rcov
New Branches: el5 el6
Owners: stahnma
Comment 13 Kevin Fenzi 2010-09-10 14:40:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.